Bug 389081 - .elc have earlier timestamps than .el files
.elc have earlier timestamps than .el files
Product: Fedora
Classification: Fedora
Component: emacs-vm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-17 21:38 EST by Need Real Name
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-26 13:37:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-11-17 21:38:53 EST
When loading vm, I get a slew of error messages saying that for example:
Source file `/usr/share/emacs/site-lisp/vm/vm-mime.el' newer than byte-compiled\

This then causes the SLOWER but "newer" .el file to be loaded rather than the
faster but older byte-compiled .elc file.

I think to fix this just requires that you rebuild emacs-vm (.elc files) AFTER
emacs-vm-el (.el files)

Comment 1 Jonathan Underwood 2007-11-18 06:05:12 EST
Which package versions are you using? The bugzilla report template includes
these things for a reason - please don't just delete the questions that are
present when you report a bug (Versions of packages, Steps to reproduce,
reproducibility etc).

Anyway, I can't reproduce the problem locally with:

Are you sure you haven't previously installed vm by hand and so have time stamp
skew? emacs-vm and emacs-vm-el are built at the sasme time in the buildsystem
from the same tarball, so there shouldn't be the problem you report, unless we
have a problem with the buildsystem.
Comment 2 Jonathan Underwood 2007-11-18 06:25:09 EST
Ah, yes, actually, you're right - there is a time skew:

$ ls -l --full-time /usr/share/emacs/site-lisp/vm/vm-version*
-rw-r--r-- 1 root root 5732 2007-10-13 00:44:39.000000000 +0100
-rw-r--r-- 1 root root 5559 2007-10-13 00:44:38.000000000 +0100

I will look into this, it's rather a peculiar problem. Anyway, in the meantime,
there is no need to install emacs-vm-el if you want to run VM - you only need
Comment 3 Jonathan Underwood 2007-11-18 14:24:51 EST
Have pushed new builds which should rectify this problem - they should appear in
the updates-testing repositoriy in the next day or two. If you want to test them
sooner than thaat, you can pull them directly from koji here:

Comment 4 Need Real Name 2007-11-19 12:45:34 EST
Thanks - I know that I don't NEED the emacs-vm-el rpm but I do a fair bit of vm
hacking so I like to have the elisp source available.

Comment 5 Jonathan Underwood 2007-11-19 13:38:43 EST
As an aside, are you a Fedora packager? It would be great to have a
co-maintainer for this package who was familiar with the "guts" of VM - let me
know if you're interested in co-maintaining.
Comment 6 Fedora Update System 2007-11-20 12:57:33 EST
emacs-vm- has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-vm'
Comment 7 Fedora Update System 2007-11-26 13:37:50 EST
emacs-vm- has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.